summaryrefslogtreecommitdiff
path: root/src/glsl/glcpp
diff options
context:
space:
mode:
authorCarl Worth <cworth@cworth.org>2010-07-19 17:48:17 -0700
committerIan Romanick <ian.d.romanick@intel.com>2010-07-20 17:01:11 -0700
commit3a530b8ef68a40526b33de2af8de85f71ebdb30d (patch)
tree8e08749e13d46ef4fac1e87af8f7df525eb65563 /src/glsl/glcpp
parent41d525f2dfde130b4a1cfa908a729e5a3f79b200 (diff)
glcpp: Make test suite report final count of passed/total tests.
And report PASS or FAIL for each test along the way as well.
Diffstat (limited to 'src/glsl/glcpp')
-rwxr-xr-xsrc/glsl/glcpp/tests/glcpp-test24
1 files changed, 22 insertions, 2 deletions
diff --git a/src/glsl/glcpp/tests/glcpp-test b/src/glsl/glcpp/tests/glcpp-test
index 396f6e175e..8277719715 100755
--- a/src/glsl/glcpp/tests/glcpp-test
+++ b/src/glsl/glcpp/tests/glcpp-test
@@ -1,7 +1,27 @@
#!/bin/sh
+total=0
+pass=0
+
for test in *.c; do
- echo "Testing $test"
+ echo -n "Testing $test..."
../glcpp < $test > $test.out
- diff -u $test.expected $test.out
+ total=$((total+1))
+ if cmp $test.expected $test.out; then
+ echo "PASS"
+ pass=$((pass+1))
+ else
+ echo "FAIL"
+ diff -u $test.expected $test.out
+ fi
done
+
+echo "$pass/$total tests returned correct results"
+echo ""
+
+if [ "$pass" = "$total" ] ; then
+ exit 0
+else
+ exit 1
+fi
+